/*状态按钮切换--start*/
/*示例：<input type="checkbox" checked class="toggle-button">*/
.toggle-button {
    width: 48px;
    height: 24px;
    border-radius: 20px;
    background: #fff;
    border: 1px solid #D2D2D2;
    outline: none;
    cursor: pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
.toggle-button::after {
    content: "";
    display: inline-block;
    width: 20px;
    height: 20px;
    margin: 1px 0 0 2px;
    background-color: #D2D2D2;
    border-radius: 50%;
    transition: all 0.3s cubic-bezier(0.2, 0.85, 0.32, 1.2);
}
.toggle-button:checked::after {
    transform: translateX(calc(100% + 3px));
    background-color: #fff;
}
.toggle-button:checked {
    background-color: #5FB878;
    border: 1px solid #5FB878;
}
/*状态按钮切换--end*/
/*复选框样式修改 start <input type="checkbox" class="define-checkbox" value="1"> */
.define-checkbox{
    width: 16px; height: 16px;  background-color: #fff;
    border: 1px solid #c9c9c9; border-radius: 2px;
    color: #fff; text-align: center; line-height: 15px;
    -webkit-appearance:none; appearance:none; outline: none;
}
.define-checkbox[type="checkbox"]:hover{ border: 1px solid #43adea;}
.define-checkbox:checked {
    color: #fff;background-color: #43adea;  border: 1px solid #43adea;
}
.define-checkbox:after {content: "\2713";}
/*复选框样式修改--end*/
/*
<div class="select-checkbox">
    <input placeholder="新增/选择，回车保存" type="text" class="form-control"/>
    <div class="show-checkbox card card-style-2">
        <div><input type="checkbox"/> 111</div>
        <div><input type="checkbox"/> 222</div>
    </div>
</div>
*/
/*div.select-checkbox{
    position: relative;
    transition: all 1s;
}
div.show-checkbox{
    position:absolute;
    width: 100%;
    max-height: 200px;
    overflow-y: auto;
    opacity: 0;
    z-index: -1;
}
div.show-checkbox div{
    margin: 2px;
}
div.select-checkbox input:hover + div.show-checkbox{
    z-index: 1;
    opacity: 1;
}
div.select-checkbox .input_hover:hover + div.show-checkbox{
    z-index: 1;
    opacity: 1;
}
div.show-checkbox:hover{
    z-index: 1;
    opacity: 1;
}*/
/*结束*/
